curl --request GET \
--url 'https://gateway.amana.io/promo-codes/active' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/promo-codes/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/promo-codes/active', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
{
"ok": true,
"promoCode": "<string>",
"title": "<string>",
"termsAndConditionsLink": "<string>",
"amount": 123.45,
"currency": "<string>",
"criteria": [
{
"key": "<string>",
"label": "<string>",
"status": true,
"action": {
"label": {},
"deeplink": "<string>"
}
}
],
"activatedAt": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Other
Get active promo
Get the promo currently active on the user’s account.
GET
/
promo-codes
/
active
curl --request GET \
--url 'https://gateway.amana.io/promo-codes/active' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/promo-codes/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/promo-codes/active', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
{
"ok": true,
"promoCode": "<string>",
"title": "<string>",
"termsAndConditionsLink": "<string>",
"amount": 123.45,
"currency": "<string>",
"criteria": [
{
"key": "<string>",
"label": "<string>",
"status": true,
"action": {
"label": {},
"deeplink": "<string>"
}
}
],
"activatedAt": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Response
200 Success.
boolean
string
string
string
number
string
string
Possible Errors
| Error | Possible cause | What to do |
|---|---|---|
| 400 | Invalid or missing field | Check the request against the schema. |
| 401 | Token missing or expired | Log in again or use the refresh token. |
| 403 | IP not whitelisted, or account restricted | Confirm your IP is whitelisted; otherwise contact Amana. |
| 429 / 5xx | Rate limit, or temporary issue on our side | Retry with backoff; contact support if it persists. |
curl --request GET \
--url 'https://gateway.amana.io/promo-codes/active' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/promo-codes/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/promo-codes/active', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
{
"ok": true,
"promoCode": "<string>",
"title": "<string>",
"termsAndConditionsLink": "<string>",
"amount": 123.45,
"currency": "<string>",
"criteria": [
{
"key": "<string>",
"label": "<string>",
"status": true,
"action": {
"label": {},
"deeplink": "<string>"
}
}
],
"activatedAt": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Last modified on October 8, 2026
